### Property

# Adw TabView:pages

#### Declaration

    property pages: Gtk.SelectionModel [ read ]

#### Description [src]

A list model with the tab view’s pages.

This can be used to keep an up-to-date view.

The model implements `GtkSectionModel`, with one section for pinned pages and one for the rest of the pages.

It also implements `GtkSelectionModel` and can be used to track and change the selected page.

Type:`GtkSelectionModel`

Getter method | `adw_tab_view_get_pages()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no